Page MenuHomePhabricator

Thumbor replies 429 on deleted files
Closed, ResolvedPublic

Description

Noticed this while looking into 429s from thumbor, looks like also thumbs for deleted files. e.g.

https://upload.wikimedia.org/wikipedia/commons/thumb/9/94/Mao.jpg/730px-Mao.jpg

Though the file has been deleted: https://commons.wikimedia.org/wiki/File:Mao.jpg

Or https://en.wikipedia.org/wiki/File:Animal_Planet_Canada_Logo.PNG

hive query: select response_size, cache_status, uri_path from wmf.webrequest where webrequest_source='upload' and year = 2017 and month = 6 and day=30 and http_status = '429' limit 10;

Details

Related Gerrit Patches:
operations/debs/python-thumbor-wikimedia : masterUpgrade to 1.1

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2017, 1:37 PM

pivot link showing 4xx errors: http://tinyurl.com/yb8942tw

fgiunchedi updated the task description. (Show Details)Jul 14 2017, 1:38 PM
Gilles claimed this task.Jul 17 2017, 1:04 PM
Gilles triaged this task as High priority.
Gilles added a project: Performance-Team.

Change 365973 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.1

https://gerrit.wikimedia.org/r/365973

Change 365973 merged by Filippo Giunchedi:
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.1

https://gerrit.wikimedia.org/r/365973

Mentioned in SAL (#wikimedia-operations) [2017-07-18T14:55:58Z] <godog> upload and roll-upgrade thumbor to 1.1 - T170677

Mentioned in SAL (#wikimedia-operations) [2017-07-18T16:31:34Z] <godog> finish rollout of thumbor 1.1 in eqiad - T170677

Gilles closed this task as Resolved.Jul 18 2017, 4:51 PM